﻿## imageClipPaste

コピーした画像を、Microsoft Excelに貼り付けるアプリケーションです。


## 機能
* 一定間隔でクリップボードを監視します。
* 画像がコピーされたら、Excelのワークシートに画像を貼り付けます。
* 貼り付け先のワークシートは、一覧の中から選択します。


## 動作環境
* 環境
 * Windows 7, Windows 8, Windows 8.1, Windows10, Windows11 (64bit含む)
 * Excel 2002, Excel 2003, Excel 2007, Excel 2010, Excel 2013
* 必要なソフトウェア
 * .NET Framework 4.8以降インストール済み環境


## 使い方
#### 1. imageClipPaste を起動します。
#### 2. クリップボード監視ボタンをクリックします。
#### 3. 貼り付け先のワークブックを選択します。
* クリップボード監視中は、クリップボード監視ボタンが明滅します。

#### 4. 画像をコピーします。
* 貼り付け先のワークブックに、コピーした画像が貼り付けられます。
* ワークブック内の選択されているセルに貼り付けられます。


## 使用上のヒント
* 画像を貼り付けたとき、貼り付け先のExcelが終了していたら、監視が止まります。
* Excelが未インストールの環境では、クリップボード監視ボタンはクリックできません。


## インストール
* ダウンロードしたimageClipPasteを解凍してください。


## アンインストール
* インストールで解凍したファイルを削除してください。
* レジストリは未使用です。


## マイルストーン
* 貼り付け先の拡充（PowerPoint, Word）
* エクスプローラー上での画像コピーも監視対象とする


## 利用しているライブラリ
以下のオープンソースライブラリの力を借りて作成されています。
* NetOffice.Excel
  http://netoffice.codeplex.com/
* MahApps.Metro
  http://mahapps.com/
* Modern UI Icons
  http://modernuiicons.com/
* MVVM Light Toolkit
  http://www.galasoft.ch/mvvm
* NLog
  https://github.com/NLog/NLog/


## ライセンス
本アプリケーションは、MITライセンスです。

